Bug 22814 - Holds modal patron name display inconsistency
Summary: Holds modal patron name display inconsistency
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Hold requests (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: Katrin Fischer
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-04-30 16:26 UTC by George Williams (NEKLS)
Modified: 2019-11-01 08:53 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00


Attachments
Bug 22814: Make patron names on holds modal consistent (second check-in) (2.45 KB, patch)
2019-10-14 20:44 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 22814: Make patron names on holds modal consistent (second check-in) (2.50 KB, patch)
2019-10-15 13:35 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 22814: Make patron names on holds modal consistent (second check-in) (2.60 KB, patch)
2019-11-01 08:42 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description George Williams (NEKLS) 2019-04-30 16:26:41 UTC
Bug 22203 changed the behavior on the hold-found2 modal that pops up when a hold is found so that whether or not the patron's name is displayed is now governed by the HidePatronName system preference.

However, if a hold is confirmed and you check the item in a second time, the modal that pops up is hold-found1 and whether or not the patron's name is displayed in the hold-found1 modal is not governed by the HidePatronName system preference.

For the sake of consistency, the display of the patron's name on hold-found2 and hold-found1 should both be governed by the HidePatronName system preference.
Comment 1 Katrin Fischer 2019-10-14 20:44:27 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2019-10-15 13:35:56 UTC
Created attachment 94213 [details] [review]
Bug 22814: Make patron names on holds modal consistent (second check-in)

Bug 22203 changed the behavior on the hold-found2 modal
that pops up when a hold is found so that whether or not
the patron's name is displayed is now governed by the
HidePatronName system preference.

However, if a hold is confirmed and you check the item
in a second time, the modal that pops up is hold-found1
and whether or not the patron's name is displayed in
the hold-found1 modal is not governed by the HidePatronName
system preference.

For the sake of consistency, the display of the patron's
name on hold-found2 and hold-found1 should both be governed
by the HidePatronName system preference.

To test:
- Place a hold on an item
- Check in the item to trigger the hold modal
- Confirm hold
- Check the item in again - verify name of patron displays
- Apply patch
- Repeat
- Verify name display now matches between the two modals
- change HidePatronName pref
- Repeat
- Name display should still match

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Marcel de Rooy 2019-11-01 08:42:09 UTC
Created attachment 94937 [details] [review]
Bug 22814: Make patron names on holds modal consistent (second check-in)

Bug 22203 changed the behavior on the hold-found2 modal
that pops up when a hold is found so that whether or not
the patron's name is displayed is now governed by the
HidePatronName system preference.

However, if a hold is confirmed and you check the item
in a second time, the modal that pops up is hold-found1
and whether or not the patron's name is displayed in
the hold-found1 modal is not governed by the HidePatronName
system preference.

For the sake of consistency, the display of the patron's
name on hold-found2 and hold-found1 should both be governed
by the HidePatronName system preference.

To test:
- Place a hold on an item
- Check in the item to trigger the hold modal
- Confirm hold
- Check the item in again - verify name of patron displays
- Apply patch
- Repeat
- Verify name display now matches between the two modals
- change HidePatronName pref
- Repeat
- Name display should still match

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Martin Renvoize 2019-11-01 08:53:21 UTC
Nice work!

Pushed to master for 19.11.00